aboutsummaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
* poppler: update 0.53.0 -> 0.57.0Andreas Müller2017-08-131-3/+3
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* kodi: fix build with latest gccAndreas Müller2017-08-132-0/+97
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xfce4-screenshooter: update 1.8.2 -> 1.9.1Andreas Müller2017-08-132-33/+2
| | | | | | | | 0001-Makefile.am-create-ouput-directory-for-desktop-file.patch was applied upstream Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xfce4-xkb-plugin: update 0.7.1 -> 0.8.0Andreas Müller2017-08-131-3/+3
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xfce4-clipman-plugin: update 1.4.1 -> 1.4.2Andreas Müller2017-08-131-2/+2
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xfce4-whiskermenu-plugin: update 2.1.2 -> 2.1.3Andreas Müller2017-08-131-2/+2
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xfce4-terminal: update 0.8.4 -> 0.8.6Andreas Müller2017-08-131-2/+2
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* thunar: update 1.6.11 -> 1.6.12Andreas Müller2017-08-131-2/+2
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* exo: update 0.11.2 -> 0.11.5Andreas Müller2017-08-132-27/+17
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* pidgin: Update from 2.11.0 to 2.12.0Herrie2017-08-131-2/+2
| | | | Signed-off-by: Herman van Hazendonk <github.com@herrie.org>
* libotr: Upgrade from 4.0.0 to 4.1.1 and update patchesHerrie2017-08-133-6/+6
| | | | Signed-off-by: Herman van Hazendonk <github.com@herrie.org>
* bluez4: remove bluez4-only recipesMartin Jansa2017-08-1327-870/+0
| | | | | | | | | | | | | | | | | | | | | * remove recipes which support only bluez4 and are blacklisted when bluez5 is selected in DISTRO_FEATURES, if someone is still using bluez4, then it can be restored in separate meta-bluez4 and maintained by people using it. * there are few recipes which support both bluez5 or bluez4 based on selected DISTRO_FEATURES, these can stay in meta-oe repository, but now people without bluez5 in DISTRO_FEATURES will need to add meta-bluez4 layer to satisfy bluez4 dependency meta-gnome/recipes-connectivity/obex/obexd_0.48.bb:DEPENDS += "${@bb.utils.contains('DISTRO_FEATURES','bluez5','bluez5','bluez4',d)}" meta-gnome/recipes-gnome/gnome-bluetooth/gnome-bluetooth_3.18.2.bb: ${@bb.utils.contains('DISTRO_FEATURES','bluez5','bluez5','bluez4',d)} \ meta-oe/recipes-connectivity/obex/obex-data-server_0.4.6.bb:DEPENDS += "${@bb.utils.contains('DISTRO_FEATURES','bluez5','bluez5','bluez4',d)}" meta-oe/recipes-connectivity/obex/openobex_1.7.2.bb:DEPENDS_append_class-target = " ${@bb.utils.contains('DISTRO_FEATURES','bluez5','bluez5','bluez4',d)}" meta-oe/recipes-connectivity/packagegroups/packagegroup-tools-bluetooth.bb:RDEPENDS_bluez4 = " \ meta-oe/recipes-connectivity/packagegroups/packagegroup-tools-bluetooth.bb:# Install bluez4 tools or bluez5 tools depending on what is specified in the distro. Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* uim: Fixed a problem that an immodule.cache is not updated appropriately ↵Yusuke Mitsuki2017-08-131-5/+2
| | | | | | | | | | | when uim-gtk2.0 or uim-gtk3 was installed. pkg_postinst_uim-gtk2.0 is not worked. Plus, uim-gtk3 is not supported. oe-core has gtk-immodule-cache class for update the immodule.cache. Modified to use the this class instead of pkg_post_uim-gtk2.0 and added support to uim-gtk3. Signed-off-by: Yusuke Mitsuki <mickey.happygolucky@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* uim: Fixed pkg_postinst_*/pkg_prerm_* for uim-anthy and uim-skk.Yusuke Mitsuki2017-08-131-15/+18
| | | | | | | | | pkg_postinst*/pkg_prerm_* functions are not worked correctly. Because uim-module-manager executes on the host machine. It needs executed via qemu. Signed-off-by: Yusuke Mitsuki <mickey.happygolucky@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* uim: Removed pkg_postinst_uim-common/pkg_prerm_uim-common.Yusuke Mitsuki2017-08-131-15/+0
| | | | | | | | These functions are not worked correctly. However default im is installed. thus we determined it not need. Signed-off-by: Yusuke Mitsuki <mickey.happygolucky@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* uim: Added glibc-utils and glibc-gconv-euc-jp to RDEPENDS_uim-anthyYusuke Mitsuki2017-08-131-1/+1
| | | | | | | | | | To uim-anthy is working correctly needs register by uim-module-manager. However 'uim-module-manager --register anthy' is failed. Because uim-module-manager uses iconv(EUCJP to UTF8) internally. iconv needs glibc-utils and EUCJP conversion needs glibc-gconv-euc-jp. Signed-off-by: Yusuke Mitsuki <mickey.happygolucky@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* uim: add dependency on anthyYusuke Mitsuki2017-08-131-1/+1
| | | | | | | | | | | | anthy.h could not found at confiugre of uim. class-target override was used incorrectly with +=, but instead of expected append to DEPENDS set above it overrided whole DEPENDS for target builds so anthy was missing. Signed-off-by: Yusuke Mitsuki <mickey.happygolucky@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* uim: Modified the order of package definition.Yusuke Mitsuki2017-08-131-1/+1
| | | | | | | | The uim-anthy package is created that empty. To avoid this problem by defining a packages with a rough PATH list after the uim-anthy package. Signed-off-by: Yusuke Mitsuki <mickey.happygolucky@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libextutils-parsexs-perl: update to version 3.35Derek Straka2017-08-131-3/+3
| | | | | | | Update license checksum and verify terms are unchanged Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libmoo-perl: update to version 2.003002Derek Straka2017-08-131-3/+3
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libnet-ssleay-perl: update to version 1.81Derek Straka2017-08-131-2/+2
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* librole-tiny-perl: update to version 2.000005Derek Straka2017-08-131-3/+3
| | | | | | | Update the start and end marker for the license and verify the terms are the same Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libxml-sax-writer-perl: update to version 0.57Derek Straka2017-08-131-2/+2
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* apache2: update to version 2.4.27Derek Straka2017-08-132-4/+4
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nginx: update development version to 1.13.3Derek Straka2017-08-131-2/+2
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nginx: update stable version to 1.12.1Derek Straka2017-08-132-6/+6
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libftdi: update to 1.4Jonathan Liu2017-08-131-2/+2
| | | | | Signed-off-by: Jonathan Liu <net147@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libcyusbserial: new recipeJonathan Liu2017-08-131-0/+18
| | | | | Signed-off-by: Jonathan Liu <net147@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-pyusb: make recipe available as python3 versionS. Lockwood-Childs2017-08-133-10/+14
| | | | | | | | Refactored existing python-pyusb recipe so that pyusb can also be built for python3. Signed-off-by: S. Lockwood-Childs <sjl@vctlabs.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* lvm2/libdevmapper: workaround build man failureHongxu Jia2017-08-132-0/+59
| | | | | | | | | | | | | On some host (ubuntu 1404), build manual failed. ... ./tools/man-generator --primary lvscan lvscan.8_des Failed to stat description file lvscan.8_des. ... Do not build man to workaround the issue. Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ninja,re2c: RemoveKhem Raj2017-08-133-63/+0
| | | | | | | Moved to OE-Core Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* klibc: Fix build with clangKhem Raj2017-08-132-0/+35
| | | | | | | Remove gcc specific options use common one instead Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* glmark2: Upgrade to 2017.07 releaseNicolas Dechesne2017-08-132-38/+3
| | | | | | | | | | | Upstream added new dependency on udev in a7ae55d NativeStateDRM: Probe the DRM node path to use with udev Patch removed since it was merged upstream in 5fcdba1 wayland: Fix destruction order of surface-related objects Signed-off-by: Nicolas Dechesne <nicolas.dechesne@linaro.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libqb: update 1.0.1 -> 1.0.2Huang Qiyu2017-08-131-1/+1
| | | | | | | Upgrade libqb from 1.0.1 to 1.0.2 Signed-off-by: Huang Qiyu <huangqy.fnst@cn.fujitsu.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libebml: inherit dos2unixMing Liu2017-08-131-10/+2
| | | | | | | | Drop do_unpack postfuncs dos2unix, inherit dos2unix.bbclass instead, to make the code cleaner. Signed-off-by: Ming Liu <peter.x.liu@external.atlascopco.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* android-tools: fix issue with missing files in eSDK updatesAndrea Galbusera2017-08-131-0/+2
| | | | | | | | | | | | | | | | | | | | | | | If this recipe was included in an eSDK and then eSDK incremental updates were generated by repeatedly running the oe-publish-sdk script, after installing the first of such updates, and any following as well, with 'devtool sdk-updates' the eSDK gets corrupted. Indeed some of the files listed in SRC_URI (namely anything in *.patch and *.service) get deleted by those updates, with bitbake that starts warning with 'Unable to get checksum for android-tools* SRC_URI entry' at every parse. Since the files are missing, such warnings turn into errors if trying to bake android-tools. The root cause is the somewhat unusual presence of android-tools/.gitignore, indeed ignore everything not explicitly excepted. When oe-publish-sdk creates the git repo it relies on to feed eSDK updates, the .gitignore gets honored, leading to the buggy behaviour above. This patch adds *.patch and *.service to the excepted patterns in .gitignore Note that, although this solves the issue, it does not prevent from it popping up again if new files get added to android-tools/ without explicitly excluding them from .gitignore. Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* assimp: remove recipeKai Kang2017-08-132-47/+0
| | | | | | | | | | | | | Remove recipe of assimp which exists in oe-core. * Patch 0001-Fix-build-on-big-endian-architectures.patch has been merged in 4.0.0 * Dependencies 'boost' and 'virtual/libgl' are dropped which needded by ASSIMP_BUILD_SAMPLES but ASSIMP_BUILD_SAMPLES is disabled by default * Sync up other parts such as DESCRIPTION with the recipe in oe-core Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libblockdev: add recipe 2.10Hongxu Jia2017-08-135-0/+679
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libreport: add recipe 2.9.1Hongxu Jia2017-08-136-0/+323
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* tigervnc: add recipe 1.8.0Hongxu Jia2017-08-135-0/+300
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* glade: fix host contamination on centos7Hongxu Jia2017-08-131-3/+1
| | | | | | | | | | | | | | | | | | | | | | | Since gobject-introspection convert to python3 in oe-core, incorrectly assigning PYTHON_PN with python caused host python3 loaded. On centos7, built with qemuarm failed: ... arm-poky-linux-gnueabi-gcc: error: unrecognized argument in option '-mtune=generic' .. arm-poky-linux-gnueabi-gcc: error: unrecognized command line option '-m64' Traceback (most recent call last): File "/usr/lib64/python3.4/distutils/unixccompiler.py", line 126, in _compile ... The native python3 should be loaded. Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* flashrom: Fix build with clangKhem Raj2017-08-132-1/+84
| | | | | | | Backport a patch from staging Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ssiapi: Fix build errors found with clangKhem Raj2017-08-132-1/+41
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* dbus-daemon-proxy: Fix return value from master_filter_cb()Khem Raj2017-08-132-4/+34
| | | | | | | | Use github for SRC_URI Reorder the linker flags so that we can remove disabling --as-needed Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* usermode: Link with libm for powl() APIKhem Raj2017-08-132-3/+29
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* cherokee: Upgrade to 1.2.104+gitKhem Raj2017-08-133-7/+66
| | | | | | | | Use git fetcher to use tip of tree, the tree does not get frequent fixes. Its not disruptive to use git fetcher Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* minicoredumper: Initialize struct configKhem Raj2017-08-132-1/+31
| | | | | | | Fixes build error with clang Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gvfs: Fix build regression from uprevJason Wessel2017-08-131-1/+7
| | | | | | | | | | | | | | | | | | The commit 187798c3bd3dad2de3d159faf456aa6e71fbdf46 (gvfs: update 1.28.3 -> 1.32.1) caused a regression where images that use rpm4 can no longer assemble correctly because it includes polkit rules. At image creation time rpm4 will detect a mismatch of the ownership with the polkit rules.d directory as follows: file /usr/share/polkit-1/rules.d conflicts between attempted installs of gvfs-1.32.1-r0.1.core2_64 and polkit-0.113-r0.8.core2_64 file /usr/share/polkit-1/rules.d conflicts between attempted installs of libvirt-1.3.5-r0.9.core2_64 and gvfs-1.32.1-r0.1.core2_64 The libvirt which also appears in the error message has already been fixed in the meta-virtualization layer in a similar maner. (http://git.yoctoproject.org/cgit/cgit.cgi/meta-virtualization/commit/?id=67c86c4962170354ad8a2ec4cdbb9bc0056cfd66) Signed-off-by: Jason Wessel <jason.wessel@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* openldap: 2.4.44 -> 2.4.45Huang Qiyu2017-08-132-34/+3
| | | | | | | | | 1) Upgrade openldap from 2.4.44 to 2.4.45 2) Delete openldap-CVE-2017-9287.patch, since it is integrated upstream. 3) License checksum changed, since the copyright years were updated. Signed-off-by: Huang Qiyu <huangqy.fnst@cn.fujitsu.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-ldap: update to version 2.4.41Derek Straka2017-08-131-2/+2
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>